#!/bin/ksh

binDir=`dirname $0`
. $binDir/setupCmdLine.sh

if [ $# -eq 5 ]
then
  LP=$JAVA_HOME/lib/PA_RISC/native_threads
  LP=$LP:$WAS_HOME/bin
  LP=$LP:$SHLIB_PATH
  export SHLIB_PATH=$LP

  WAR_FILENAME=$1
  WEBAPP_DEST=$2
  VHOST_NAME=$3
  WEBAPP_PATH=$4
  WEBAPP_NAME=$5

  $JAVA_HOME/bin/java -classpath $WAS_HOME/lib/ant.jar:$WAS_HOME/lib/ibmant.jar:$WAS_HOME/lib/antxalan_1_1.jar:$WAS_HOME/lib/xerces.jar org.apache.tools.ant.Main -buildfile $WAS_HOME/properties/convertwar.xml -Dwar.filename=$WAR_FILENAME -Dwebapp.dest=$WEBAPP_DEST -Dvirtual.host.name=$VHOST_NAME -Dwas.home=$WAS_HOME -Droot.uri=$WEBAPP_PATH -Dwebapp.name=$WEBAPP_NAME -Dant.home=$WAS_HOME -Dwas.java.name=$JAVA_HOME/bin/java transform.to.webapp
else
  echo wartowebapp syntax :
  echo wartowebapp [war filename] [webapp destination] [virtual host name] [webapp path] [webapp name]
  echo    e.g
  echo    wartowebapp webapplication.war \websphere\appserver\hosts\default_host default_host /path WebAppName
fi

